import QtQuick 1.1


Rectangle
{
   id: rectangle1
   width: 400
   height: 250
   color: "#315995"
   radius : 6
   z: 0
   signal minusClicked();
   onMinusClicked:
   {
      listview.incrementCurrentIndex();
   }

   signal plusClicked();
   onPlusClicked:
   {
      listview.decrementCurrentIndex();
   }

   ListModel {
      id: scheduleModel
      ListElement {scheduleId: "19"; descr: "empty"}
      ListElement {scheduleId: "18"; descr: "empty"}
      ListElement {scheduleId: "17"; descr: "empty"}
      ListElement {scheduleId: "16"; descr: "empty"}
      ListElement {scheduleId: "15"; descr: "empty"}
      ListElement {scheduleId: "14"; descr: "empty"}
      ListElement {scheduleId: "13"; descr: "empty"}
      ListElement {scheduleId: "12"; descr: "empty"}
      ListElement {scheduleId: "11"; descr: "empty"}
      ListElement {scheduleId: "10"; descr: "empty"}
      ListElement {scheduleId: "09"; descr: "empty"}
      ListElement {scheduleId: "08"; descr: "demo"}
      ListElement {scheduleId: "07"; descr: "empty"}
      ListElement {scheduleId: "06"; descr: "empty"}
      ListElement {scheduleId: "05"; descr: "empty"}
      ListElement {scheduleId: "04"; descr: "empty"}
      ListElement {scheduleId: "03"; descr: "empty"}
      ListElement {scheduleId: "02"; descr: "empty"}
      ListElement {scheduleId: "01"; descr: "empty"}
   }

   ListView {
      id: listview;
      z: 0
      boundsBehavior: Flickable.DragOverBounds
      contentWidth: 380
      contentHeight: 250
      orientation: ListView.Vertical
      anchors.rightMargin: 6
      anchors.leftMargin: 5
      anchors.bottomMargin: 5
      anchors.topMargin: 5
      spacing: 2
      anchors.fill: parent


      Component {
          id: scheduleDelegate
          Item {
              width: 388
              height: 22
              Row {
                 anchors.left: parent.left
                 anchors.leftMargin: 12
                 Text { text: '<b>Index:</b> ' + scheduleId; color:"white" }
                 Text { text: ', <b>Description:</b> ' + descr; color:"white" }
              }
          }
      }

      model: scheduleModel
      delegate: scheduleDelegate
      highlight: Rectangle { color: "lightsteelblue"; radius: 4; border.width: 1; border.color: "black"}
      focus: true
   }
}
