// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
   id: rectangle1
   width: 638
   height: 150
   color: "#8a8c8d"

   signal digitClicked(int digit);
   signal clearClicked();
   signal enterClicked();



   Row {
       id: grid1
       anchors.left: parent.left
       anchors.top: parent.top
       anchors.leftMargin: 5
       anchors.topMargin: 5
       spacing: 3

       Digit {text: "1"; onButtonClicked: digitClicked(digit);}
       Digit {text: "2"; onButtonClicked: digitClicked(digit);}
       Digit {text: "3"; onButtonClicked: digitClicked(digit);}
       Digit {text: "4"; onButtonClicked: digitClicked(digit);}
       Digit {text: "5"; onButtonClicked: digitClicked(digit);}
       Digit {text: "6"; onButtonClicked: digitClicked(digit);}
       Digit {text: "7"; onButtonClicked: digitClicked(digit);}
       Digit {text: "8"; onButtonClicked: digitClicked(digit);}
       Digit {text: "9"; onButtonClicked: digitClicked(digit);}
       Digit {text: "0"; onButtonClicked: digitClicked(digit);}
   }

   Row {
       id: row1
       x: 90
       y: 51
       width: 424
       height: 69
       spacing: 20
       anchors.bottom: parent.bottom
       anchors.bottomMargin: 5
       anchors.horizontalCenterOffset: 0
       anchors.horizontalCenter: parent.horizontalCenter
       Button {
           id: buttonClear
           width: 200
           height: 70
           text: "Clear"
           onClicked: clearClicked();
       }
       Button {
           id: buttonEnter
           width: 200
           height: 70
           text: "Enter"
           onClicked: enterClicked();
       }
   }


}
